>From 197ad90eb41db17909f14c8414902829c4aaac5d Mon Sep 17 00:00:00 2001
From: Erwan Tulou <erwan10@videolan.org>
Date: Sun, 20 Dec 2009 22:32:53 +0100
Subject: [PATCH] vout_window: add a fullscreen hint

This allows vout window providers to set a fullscreen window right away.
---
 include/vlc_vout_window.h         |    3 +++
 modules/video_output/xcb/common.c |    1 +
 2 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/include/vlc_vout_window.h b/include/vlc_vout_window.h
index f2e14fe..cdc9b0c 100644
--- a/include/vlc_vout_window.h
+++ b/include/vlc_vout_window.h
@@ -69,6 +69,9 @@ typedef struct {
     unsigned width;
     unsigned height;
 
+    /* fullscreen hint */
+    bool fullscreen;
+
 } vout_window_cfg_t;
 
 /**
diff --git a/modules/video_output/xcb/common.c b/modules/video_output/xcb/common.c
index d1ce9be..bd9bd8c 100644
--- a/modules/video_output/xcb/common.c
+++ b/modules/video_output/xcb/common.c
@@ -127,6 +127,7 @@ vout_window_t *GetWindow (vout_display_t *vd,
     wnd_cfg.type = VOUT_WINDOW_TYPE_XID;
     wnd_cfg.width  = vd->cfg->display.width;
     wnd_cfg.height = vd->cfg->display.height;
+    wnd_cfg.fullscreen = vd->cfg->is_fullscreen;
 
     vout_window_t *wnd = vout_display_NewWindow (vd, &wnd_cfg);
     if (wnd == NULL)
-- 
1.5.6.5

